Skip to main content

Prerequisites

1. Fetch your issues

Retrieve all open maintenance issues for your team:
curl https://app.lanten.ai/api/open/v1/issues \
  -H "Authorization: Bearer YOUR_API_KEY"
You’ll receive a list of issues, each with a status, priority, and linked tenant and unit.

2. Create a tenant

Add a tenant to your Lanten workspace:
curl -X POST https://app.lanten.ai/api/open/v1/tenants \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "firstName": "Jane",
    "lastName": "Smith",
    "email": "jane.smith@example.com",
    "phoneNumber": "+447700900000"
  }'

3. Create an issue

Log a maintenance issue against a unit:
curl -X POST https://app.lanten.ai/api/open/v1/issues \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "title": "Boiler not heating",
    "priority": 2,
    "unitId": "UNIT_ID",
    "tenantId": "TENANT_ID"
  }'

Next steps

API reference

Explore all available endpoints.

Webhooks

Get notified when issues change.

MCP server

Connect AI tools to Lanten.